/*
  But : css
  Auteur : Noam Bourqui
  Date :   15.06.2024 / V1.0
*/

/*General Start*/
body {
  background: rgb(0, 38, 45);
  background: linear-gradient(156deg, rgba(0, 38, 45, 1) 0%, rgba(0, 46, 98, 1) 51%, rgba(79, 143, 200, 1) 100%);
  background-repeat: no-repeat;
  background-size: cover;
  font-family: Arial, Helvetica, sans-serif;
  color: white;
  height: 125vh;
}

footer {
  background-color: #00242F;
  padding: 10px;
  width: 100%;
  position: fixed;
  bottom: 0;
  left: 0;
  text-align: center;
  color: white;
}

.piedDePage {
  text-align: center;
  margin-top: 2vh;
}

/*Uiverse.io*/
button {
  appearance: button;
  background-color: #1899D6;
  border: solid transparent;
  border-radius: 16px;
  border-width: 0 0 4px;
  box-sizing: border-box;
  color: #FFFFFF;
  cursor: pointer;
  display: inline-block;
  font-size: 15px;
  font-weight: 700;
  letter-spacing: .8px;
  line-height: 20px;
  margin-bottom: 5%;
  outline: none;
  overflow: visible;
  padding: 13px 19px;
  text-align: center;
  text-transform: uppercase;
  touch-action: manipulation;
  transform: translateZ(0);
  transition: filter .2s;
  user-select: none;
  -webkit-user-select: none;
  vertical-align: middle;
  white-space: nowrap;
}

button:after {
  background-clip: padding-box;
  background-color: #1CB0F6;
  border: solid transparent;
  border-radius: 16px;
  border-width: 0 0 4px;
  bottom: -4px;
  content: "";
  left: 0;
  position: absolute;
  right: 0;
  top: 0;
  z-index: -1;
}

button:main,
button:focus {
  user-select: auto;
}

button:hover:not(:disabled) {
  filter: brightness(1.1);
}

button:disabled {
  cursor: auto;
}

button:active:after {
  border-width: 0 0 0px;
}

button:active {
  padding-bottom: 10px;
}

.center {
  text-align: center;
}

header {
  background: rgb(0, 38, 45);
  background: linear-gradient(156deg, rgb(0, 59, 70) 0%, rgb(0, 67, 145) 51%, rgba(79, 143, 200, 1) 100%);
  padding: 10px 0;
  position: fixed;
  width: 100%;
  top: 0;
  text-align: center;
  z-index: 100;
}

.navigation {
  color: #fff;
  text-decoration: none;
  margin: 0 10px;
  padding: 5px 10px;
  border-radius: 5px;
  transition: background-color 0.3s, color 0.3s;

}

.navigation:hover {
  background-color: #039be5;
  color: #fff;
}

/*General end*/
/*--------------------------------------------------------------------------*/
/*MeteoVille start*/
h1 {
  text-align: center;
  margin-top: 10vh;
  margin-bottom: 5vh;
}

.flex {
  display: flex;
  width: 110%;
}

.flexInput {
  flex: 1;
}

.weather-container {
  width: 300px;
  height: 350px;
  background-color: #ffffff;
  border: 2px solid #6b6b6b;
  box-shadow: 5px 5px 5px black;
  border-radius: 10px;
  align-items: center;
  text-align: center;
  margin-bottom: 10%;
  margin-left: 10%;
}

.weather-container img {
  width: 40%;
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: 'Poppins', sans-serif;
}

.container {
  background: #171717;
  color: #fff;
  padding: 2rem;
  width: 40%;
  margin: 4rem auto;
  border-radius: 10px;
}


.weather__header {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

label {
  width: 50%;
}

input {
  border: none;
  background: #1e1e1e;
  outline: none;
  color: #fff;
  padding: 0.5rem 2.5rem;
  border-radius: 5px;
  border: 1px solid #0056b3;
  margin-bottom: 5%;
}

input::placeholder {
  color: #fff;
}

input:focus {
  border: 1px solid #007BFF;
  box-shadow: 0 0 5px rgba(0, 123, 255, 0.5);
  outline: none;
}

input:hover {
  border: 1px solid #007BFF;

}

.weather__search {
  position: relative;
}

.weather__search i {
  position: absolute;
  left: 10px;
  top: 10px;
  font-size: 15px;
  color: #fff;
}

.weather__units {
  font-size: 1.5rem;
}

.weather__units span {
  cursor: pointer;
}

.weather__units span:first-child {
  margin-right: 0.5rem;
}

.weather__body {
  text-align: center;
  margin-top: 3rem;
}

.weather__datetime {
  margin-bottom: 2rem;
  font-size: 14px;
}

.weather__forecast {
  background: #1e1e1e;
  display: inline-block;
  padding: 0.5rem 1rem;
  border-radius: 30px;
}

.weather__icon img {
  width: 100px;
}

.weather__temperature {
  font-size: 1.75rem;
}

.weather__minmax {
  display: flex;
  justify-content: center;
}

.weather__minmax p {
  font-size: 14px;
  margin: 0.5rem;
}

.weather__info {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  grid-gap: 1rem;
  margin-top: 3rem;
}

.weather__card {
  display: flex;
  align-items: center;
  background: #1e1e1e;
  padding: 1rem;
  border-radius: 10px;
}

.weather__card i {
  font-size: 1.5rem;
  margin-right: 1rem;
}

.weather__card p {
  font-size: 14px;
}

/*MeteoVille end*/
/*--------------------------------------------------------------------------*/
/*MeteoLocale start*/
#main {
  padding-bottom: 53px;
}

#main .card-section {
  margin-top: 0px;
  box-shadow: 4px 4px 8px 0 black, 0 6px 20px 0 black;
}

.thumbnail {
  padding: 0;
  border: none;
  border-radius: 3px;
  background-color: #FFF;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.30);
}

.card-header {
  background-color: #DDD;
  position: relative;
}

.card-header>img {
  display: block;
  max-width: 100%;
  height: auto;
}

.card-title {
  color: #fff;
  position: absolute;
  bottom: 0;
  left: 0;
  padding: 20px;
}

.card-image {
  max-height: 60%;
  overflow: hidden;
  position: relative;
}

.thumbnail .caption {
  padding: 20px;
}

.card-content p {
  margin: 0;
}

.days-box {
  padding: 10px 0;
  box-shadow: 0 3px 15px rgba(0, 0, 0, 0.7);

}

.days-box .wi {
  font-size: 2.5em;
}

.days-box>div {
  border-left: 1px solid #ddd;
  padding-bottom: 5%;
}

.days-box .day-first {
  border: none;
}

.d-min-temp {
  color: #039be5;
}

.d-max-temp {
  color: #ef5350;

}

/*MeteoLocale end*/
/*--------------------------------------------------------------------------*/
/*MeteoMap start*/

.flexMap {
  display: flex;
  width: 100%;
  justify-content: center;
}

#map {
  height: 300px;
  width: 300px;
  border-radius: 15px;
  z-index: 10;
}

.app {
  width: 414px;
  height: 550px;
  display: block;
  margin-left: 7%;
  text-align: center;
  padding: 40px 0;
  overflow: hidden;
  border-radius: 50px;
  background-image: linear-gradient(#30A2C5, #00242F);
}

.bar {
  display: flex;
  justify-content: space-between;
  padding: 0 40px;

}

.bar a {
  color: #fff;
  font-size: 20px;
}

.titlebar {
  line-height: 0.5rem;
  color: #fff;
}

.titlebar h4 {
  font-size: 18px;
  font-weight: bold;
  text-transform: uppercase;
  margin: 2rem;
  overflow-wrap: break-word;
  word-wrap: break-word;
  word-break: break-all;

}

.titlebar .description {
  text-transform: uppercase;
}

.temperature {
  background: rgb(206, 206, 206);
  border-radius: 500px;
  width: 200px;
  height: 200px;
  text-align: center;
  display: block;
  margin: auto;
  box-shadow: 0 30px 20px #1d1d1d36;
  margin: auto;
  margin-top: 30px;
  margin-bottom: 30px;
}

.temperature img {
  margin-bottom: -20px;
  width: 50%;
}

.temperature p {
  font-size: 14px;
}

.temperature h2 {
  margin: 0;
  padding-top: 30px;
  font-size: 30px;
  font-weight: 300;
}

.extra {
  display: flex;
  justify-content: space-around;
  color: #fff;
  padding-bottom: 30px;
}

.extra .col .info {
  padding-bottom: 30px;
}

.dataweather {
  background: #fff;
  padding: 20px;
  border-radius: 50px;
  margin-top: 20px;
  display: block;
  height: 400px;
  font-size: 14px;
  position: relative;
}

.dataweather .table {
  display: flex;
  justify-content: space-around;
}

.dataweather .table .box {
  font-size: 14px;
  border: #D4D4D4 solid 1px;
  border-radius: 20px;
  padding: 5px;
  margin: 5px;
}

.dataweather .table div i {
  font-size: 150%;
  color: #585858;
}

.dataweather .firm {
  padding-top: 20px;
  font-size: 12px;
}

/*MeteoMap end*/